package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class AdsOrderDetailTotalVO {

    /**
     * 订单金额
     */
    @ApiModelProperty(notes = "订单金额")
    private BigDecimal amount;

    /**
     * 订单实付金额
     */
    @ApiModelProperty(notes = "订单实付金额")
    private BigDecimal realAmount;

    /**
     * 回传金额
     */
    @ApiModelProperty(notes = "回传金额")
    private Long backMoney;

    /**
     * 角色累计充值金额
     */
    @ApiModelProperty(notes = "角色累计充值金额")
    private BigDecimal roleTotalAmount;

    /**
     * 角色累计充值次数
     */
    @ApiModelProperty(notes = "角色累计充值次数")
    private Long roleTotalAmountCount;

}
